# stream-contract.theme.yml — Program
# Familie: nerd | Theme: program
# Erstellt: 2026-04-27 | Status: active
# Norm: W3C DTCG Design Tokens + IIO ETL-Pipeline
# ---
meta:
  theme_family: nerd
  theme_id: program
  version: 1.0.0
  source_key: program-dirty-retro-design-2026
  ip_review_gate: false
  status: active
  language_channel: AGT
  note: Intentionally dirty and broken retro look for experimental mode
streams:
  raw_theme_program_v1:
    source: null
    source_key: program-dirty-retro-design-2026
    schema:
      color_palette: hex-set
      typography: css-font-stack
      layout_system: css-grid-definition
      components: css-class-map
  canonical_theme_program_v1:
    normalized_from: raw_theme_program_v1
    schema:
      design_tokens: w3c-dtcg-aligned
      component_library: normalized
      layout_primitives: css-custom-properties
      color_semantic_map: iio-token-system
      responsive_breakpoints:
      - 320
      - 768
      - 1200
      - 1920
transforms:
  program_source_to_canonical:
    input: raw_theme_program_v1
    output: canonical_theme_program_v1
    rules:
    - normalize_color_syntax: hex → rgb-var
    - abstract_typography: font-family → iio-token-name
    - map_layout_grid: source-grid → css-custom-properties
    - preserve_brand_source_trace: program-dirty-retro-design-2026
joins:
  theme_program_complete:
    inputs:
    - canonical_theme_program_v1
    purpose: Rendering-ready dirty retro Program theme for IIO Manual
    output_schema:
      css_variables: iio-standardized
      component_specs: complete
      usage_guidelines: linked
evidence:
  ingestion_date: null
  ingested_by: null
  source_verified: false
  source_verified_at: null
  css_generated: false
  css_generated_at: null
  rg007_applicable: false
  rg007_evidence: null
